Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.plugin
Class DenyPluginException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.wlcp.wlng.api.plugin.PluginException
                  com.bea.wlcp.wlng.api.plugin.DenyPluginException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SubscriberDenyPluginException

public class DenyPluginException
extends PluginException

Policy deny plug-in exception. This should only be thrown to indicate 'policy' violations of which client is in control of and could react to in a reasonable manner. Internal problems should not be indicated with this type.

See Also:
  Serialized Form

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Constructor Summary
`DenyPluginException(String message)`
`DenyPluginException(String message, int _denyCode)`
`DenyPluginException(String message, Throwable cause)`
`DenyPluginException(String message, Throwable cause, int _denyCode)`
`DenyPluginException(Throwable cause)`
`DenyPluginException(Throwable cause, int _denyCode)`

Method Summary
`int` | `getInternalDenyCode()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DenyPluginException

    public DenyPluginException(String message)

### DenyPluginException

    public DenyPluginException(String message,
                               int _denyCode)

### DenyPluginException

    public DenyPluginException(String message,
                               Throwable cause)

### DenyPluginException

    public DenyPluginException(String message,
                               Throwable cause,
                               int _denyCode)

### DenyPluginException

    public DenyPluginException(Throwable cause)

### DenyPluginException

    public DenyPluginException(Throwable cause,
                               int _denyCode)

Method Detail

### getInternalDenyCode

    public int getInternalDenyCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD